<project default="javadocs">
	<property name="base.dir" location=".." />
	<property name="src.dir" location="${base.dir}/src" />
	<property name="reports.dir" location="html" />
	<property name="umlgraph.dir" location="${base.dir}/lib" />

	<target name="javadocs">
		<javadoc encoding="UTF-8" charset="UTF-8" docencoding="UTF-8"
			sourcepath="${src.dir}/" packagenames="org.lgmt.dgl.*" destdir="${reports.dir}"
			classpath="${base.dir}/lib/vecmath.jar:${base.dir}/lib/umlgraph-5.6.5.jar:${java.home}/lib/tools.jar">
			<doclet name="org.umlgraph.doclet.UmlGraphDoc" path="${umlgraph.dir}/umlgraph-5.6.5.jar">
				<param name="-attributes" />
				<param name="-operations" />
				<param name="-visibility" />
				<param name="-types" />
				<param name="-private" />
				<param name="-enumerations" />
				<param name="-enumconstants" />
			</doclet>
			<tag name="composed" scope="all" description="Composed" />
			<tag name="opt" scope="all" description="Option" />
			<tag name="hidden" scope="all" description="Caché" />
			<tag name="navassoc" scope="all" description="Association naviguable" />
			<tag name="stereotype" scope="all" description="Stereotype" />
			<tag name="depend" scope="all" description="Dependance" />
		</javadoc>
	</target>
</project>
